All operations
COMPANY
Fetches contacts for a specific company with pagination and optional search.
GET
/api/v2/companies/{companyId}/contactsAuthentication
Choose one supported method for this request.
Parameters
companyIdpathinteger · int32requiredThe ID of the company to retrieve contacts for.
pagequeryinteger · int32Page number.
pageSizequeryinteger · int32Number of items per page.
excludeInvalidEmailsquerybooleanOptional boolean param to exclude contacts with invalid emails
includeInactivequerybooleanOptional boolean param to include inactive contacts
searchquerystringOptional search term to filter contacts by first name, last name or email.
Responses
Company contacts retrieved successfully.
Standard response envelope
PaginatedisSuccessmessageerrorsdataRead the result from data. When isSuccess is false, errors lists what went wrong. Handling errors
totalCountinteger · int32contactIdinteger · int32companyIdinteger · int32companyDisplaystringfirstNamestringmiddleNamestringlastNamestringfullNamestringnickNamestringphonestringcellstringfaxstringemailstringtitlestringpositionstringdepartmentstringdeletedbooleanactivebooleanenteredstring · date-timelastModifiedstring · date-timecompletebooleanexternalIdstringglobalUnsubscribebooleanlinkedbooleanlastTouchUserstringlastTouchDatestring · datenullable
pageCountinteger · int32currentPageCountinteger · int32nextPageNumberinteger · int32nullablehasNextPageboolean